all: as6502.exe

LNK_OPT=

!ifdef DEBUG
CC = cl -c -nologo -AM -Zpei -W3 -Od -DDEBUG
LNK_OPT = /CO $(LNK_OPT)
!else
CC = cl -c -nologo -AM -Ocegiltw -Zpe -W3
!endif

!ifdef ERR
CC=$(CC) >> ERRORS.LOG
!endif

as6502.exe : r52ext.obj r52mch.obj r52adr.obj r52pst.obj \
		asmain.obj aslex.obj assym.obj assubr.obj \
		asexpr.obj asdata.obj aslist.obj asout.obj
	link @<<as6502.tmp
$(LNK_OPT) r52ext.obj r52mch.obj r52adr.obj r52pst.obj asmain.obj +
aslex.obj assym.obj assubr.obj asexpr.obj asdata.obj aslist.obj asout.obj
$@
NUL
MLIBCE
NUL
<<NOKEEP

r52ext.obj : r52ext.c r6502.h
	$(CC) -Fo$@ %s

r52mch.obj : r52mch.c r6502.h
	$(CC) -Fo$@ %s

r52adr.obj : r52adr.c r6502.h
        $(CC) -Fo$@ %s

r52pst.obj : r52pst.c r6502.h
        $(CC) -Fo$@ %s

asmain.obj : asmain.c asm.h
        $(CC) -Fo$@ %s

aslex.obj : aslex.c asm.h
        $(CC) -Fo$@ %s

assym.obj : assym.c asm.h
        $(CC) -Fo$@ %s

assubr.obj : assubr.c asm.h
        $(CC) -Fo$@ %s

asexpr.obj : asexpr.c asm.h
        $(CC) -Fo$@ %s

asdata.obj : asdata.c asm.h
        $(CC) -Fo$@ %s

aslist.obj : aslist.c asm.h
        $(CC) -Fo$@ %s

asout.obj : asout.c asm.h
        $(CC) -Fo$@ %s
